gtkmm 2.4: Gtk::PaperSize Class Reference

Main Page Widgets Namespaces Book

# Gtk::PaperSize Class Reference

List of all members.

## Public Member Functions
bool | equal (const PaperSize& other) const
double | get_default_bottom_margin (Unit unit) const
double | get_default_left_margin (Unit unit) const
double | get_default_right_margin (Unit unit) const
double | get_default_top_margin (Unit unit) const
Glib::ustring | get_display_name () const
double | get_height (Unit unit) const
Glib::ustring | get_name () const
Glib::ustring | get_ppd_name () const
double | get_width (Unit unit) const
const GtkPaperSize* | gobj () const
| Provides access to the underlying C instance.
GtkPaperSize* | gobj ()
| Provides access to the underlying C instance.
GtkPaperSize* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
bool | is_custom () const
PaperSize& | operator= (const PaperSize& other)
| PaperSize (const Glib::ustring& name, const Glib::ustring& display_name, double width, double height, Unit unit)
| PaperSize (const Glib::ustring& ppd_name, const Glib::ustring& ppd_display_name, double width, double height)
| PaperSize (const Glib::ustring& name="")
| If a name is not specified, a default value will be used.
| PaperSize (const PaperSize& other)
| PaperSize (GtkPaperSize* gobject, bool make_a_copy=true)
| PaperSize ()
void | set_size (double width, double height, Unit unit)
void | swap (PaperSize& other)
| ~PaperSize ()
## Static Public Member Functions
static Glib::ustring | get_default ()
## Protected Attributes
GtkPaperSize* | gobject_
## Related Functions
(Note that these are not member functions.)
bool | operator!= (const PaperSize& lhs, const PaperSize& rhs)
bool | operator== (const PaperSize& lhs, const PaperSize& rhs)
void | swap (PaperSize& lhs, PaperSize& rhs)
Gtk::PaperSize | wrap (GtkPaperSize* object, bool take_copy=false)

## Constructor & Destructor Documentation

Gtk::PaperSize::PaperSize | ( |  | ) |

Gtk::PaperSize::PaperSize | ( | GtkPaperSize* | gobject,
|  | bool | make_a_copy = `true`
| ) | `[explicit]`

Gtk::PaperSize::PaperSize | ( | const PaperSize& | other | ) |

Gtk::PaperSize::~PaperSize | ( |  | ) |

Gtk::PaperSize::PaperSize | ( | const Glib::ustring& | name = `""` | ) | `[explicit]`

| If a name is not specified, a default value will be used.

Gtk::PaperSize::PaperSize | ( | const Glib::ustring& | ppd_name,
|  | const Glib::ustring& | ppd_display_name,
|  | double | width,
|  | double | height
| ) | `[explicit]`

Gtk::PaperSize::PaperSize | ( | const Glib::ustring& | name,
|  | const Glib::ustring& | display_name,
|  | double | width,
|  | double | height,
|  | Unit | unit
| ) | `[explicit]`

## Member Function Documentation

bool Gtk::PaperSize::equal | ( | const PaperSize& | other | ) | const

static Glib::ustring Gtk::PaperSize::get_default | ( |  | ) | `[static]`

double Gtk::PaperSize::get_default_bottom_margin | ( | Unit | unit | ) | const

double Gtk::PaperSize::get_default_left_margin | ( | Unit | unit | ) | const

double Gtk::PaperSize::get_default_right_margin | ( | Unit | unit | ) | const

double Gtk::PaperSize::get_default_top_margin | ( | Unit | unit | ) | const

Glib::ustring Gtk::PaperSize::get_display_name | ( |  | ) | const

double Gtk::PaperSize::get_height | ( | Unit | unit | ) | const

Glib::ustring Gtk::PaperSize::get_name | ( |  | ) | const

Glib::ustring Gtk::PaperSize::get_ppd_name | ( |  | ) | const

double Gtk::PaperSize::get_width | ( | Unit | unit | ) | const

const GtkPaperSize* Gtk::PaperSize::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C instance.

GtkPaperSize* Gtk::PaperSize::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C instance.

GtkPaperSize* Gtk::PaperSize::gobj_copy | ( |  | ) | const

| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

bool Gtk::PaperSize::is_custom | ( |  | ) | const

PaperSize& Gtk::PaperSize::operator= | ( | const PaperSize& | other | ) |

void Gtk::PaperSize::set_size | ( | double | width,
|  | double | height,
|  | Unit | unit
| ) |

void Gtk::PaperSize::swap | ( | PaperSize& | other | ) |

## Friends And Related Function Documentation

bool operator!= | ( | const PaperSize& | lhs,
|  | const PaperSize& | rhs
| ) | `[related]`

bool operator== | ( | const PaperSize& | lhs,
|  | const PaperSize& | rhs
| ) | `[related]`

void swap | ( | PaperSize& | lhs,
|  | PaperSize& | rhs
| ) | `[related]`

  | Parameters:
  | lhs | The left-hand side
  | rhs | The right-hand side

Gtk::PaperSize wrap | ( | GtkPaperSize* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

## Member Data Documentation

GtkPaperSize* Gtk::PaperSize::gobject_`[protected]`

The documentation for this class was generated from the following file:

- papersize.h